=== debian/changelog ===
ibid (0.1.0+dfsg-2+squeeze1) stable; urgency=medium

  * Fix the following security issues. Fixes backported from 0.1.1 bugfix
    release (Closes: #618026):
    - perms-705860.patch: Enforce access-restriction on handlers without
      @match patterns. (LP: #705860)
    - logfile-visibility-567576.patch: Channels must be explicitly configured
      to have publicly readable logs. (LP: #567576)
    - meeting-privacy-649383.patch: Don't report private messages from the bot
      in meeting minutes. (LP: #649383)
  * http-features-fix-545168.patch: Fix the breakage of the http source
    (LP: #545168)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Sep 2011 15:57:26 +0200

ibid (0.1.0+dfsg-2) unstable; urgency=low

  * Don't leak uid and umask into source tarball.
  * Suggest nmap.
  * Apply sqlalchemy-0.6-support.patch, allowing Debian to transition to
    SQLAlchemy 0.6 (Closes: #584761)

 -- Stefano Rivera <stefano@rivera.za.net>  Thu, 17 Jun 2010 19:23:29 +0200

ibid (0.1.0+dfsg-1) unstable; urgency=low

  * Initial upstream release.
  * Patches:
    - Update separate-data patch. Upstream incorporated fixes to make this
      patch much simpler and less invasive.
    - Add fortune-path.diff: Change fortune's default location to be absolute
      path /usr/games/fortune.
  * debian/rules:
    - Run test suite with all python interpreters.
    - Respect nocheck in DEB_BUILD_OPTIONS.
  * debian/control:
    - Unversion dependency on python-imdbpy.

 -- Stefano Rivera <stefano@rivera.za.net>  Wed, 10 Mar 2010 20:32:28 +0200

ibid (0+bzr881+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #565885)

 -- Stefano Rivera <stefano@rivera.za.net>  Sun, 07 Feb 2010 00:10:35 +0200
