## ibid 0.1.1+dfsg

=== debian/changelog ===
ibid (0.1.1+dfsg-4build1) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:50:20 +0100

ibid (0.1.1+dfsg-4) unstable; urgency=low

  * Actually change the Depends to jinja2
  * Bump standards version to 3.9.3, no changes needed.
  * Update machine readable copyright file to format 1.0.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 May 2012 19:46:20 -0700

ibid (0.1.1+dfsg-3) unstable; urgency=low

  * Document bundled extlinks.py in copyright.
  * Correct DEP3 headers (first line of Description is the subject)
  * Use dh_sphinxdoc.
    - Bump python-sphinx Build-Depends.
    - Don't link jquery.js to libjs-jquery.
  * Don't compress Sphinx _sources.
  * Use Jinja2 instead of Jinja. (Closes: #634910)
  * Drop Suggests on python-silc, to allow silc-toolkit to be removed from
    Debian. (Closes: #629221)
  * sqlalchemy-0.7.diff: Update SQLAlchemy 0.6 patch for 0.7 support.
    (Closes: #634913)
  * pyfiglet-0.6.diff: Support pyfiglet 0.6 (only).
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Drop ${python:Breaks}, no longer used.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Aug 2011 12:02:28 +0200

ibid (0.1.1+dfsg-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:46:00 +0200

ibid (0.1.1+dfsg-1) unstable; urgency=low

  * New upstream bug-fix release.
    - Built documentation is included, removed in get-orig-source.
  * Update my e-mail address.
  * Update debian/copyright format. youtube-dl is now public domain.
  * Move mysqldb | psycopg2 to suggests, Ibid will use the stdlib sqlite3 by
    default.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Feb 2011 01:21:35 +0200

ibid (0.1.0+dfsg-3) experimental; urgency=low

  [ Jakub Wilk ]
  * Set maintainer to Python Applications Packaging Team.

  [ Stefano Rivera ]
  * Don't compress objects.inv. Thanks to Michael Fladischer for the report.
    (Closes: #608753)
  * Switch from pycentral to dh_python2.
    - Use X-Python-Version, and ${python:Breaks}.
    - Drop XB-Python-Version.
    - Version python-all Build-Depends to >= 2.6.5-13~.
  * Install data with dh_install instead of for loop in debian/rules.
  * Don't install ibid.static module, it's shipped in /usr/share/ibid.
  * Reorganise docs: Install rst as Sphinx _sources, so searching works.
    - Build docs in build/docs
  * Use twisted-plugins-cache trigger, drop postinst and postrm.
    - Version python-twisted-core dependency to >= 10.0.0-3~.
  * debian/control:
    - Wrap and sort multi-line fields.
    - Bump Standards-Version to 3.9.1 (no changes needed).
  * debian/copyright: Bump year.

 -- Stefano Rivera <stefano@rivera.za.net>  Fri, 07 Jan 2011 23:01:06 +0200
