=== debian/control ===
Source: ibid
Section: net
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 python-all (>= 2.6.5-13~),
 python-beautifulsoup,
 python-configobj (>= 4.7),
 python-dateutil,
 python-html5lib,
 python-jinja2,
 python-pkg-resources,
 python-setuptools,
 python-simplejson,
 python-soappy,
 python-sphinx (>= 1.0.7+dfsg),
 python-sqlalchemy (>= 0.5),
 python-twisted-core,
 python-twisted-web
Standards-Version: 3.9.3
Homepage: http://ibid.omnia.za.net/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/ibid/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/ibid/trunk/
X-Python-Version: >= 2.5

Package: ibid
Architecture: all
Depends:
 python (>= 2.6) | python-simplejson,
 python-beautifulsoup,
 python-chardet,
 python-configobj (>= 4.7),
 python-dateutil,
 python-html5lib,
 python-jinja2,
 python-pkg-resources,
 python-soappy,
 python-sqlalchemy (>= 0.5),
 python-twisted-core (>= 10.0.0-3~),
 python-twisted-web,
 python-twisted-words,
 python-zope.interface | python-zopeinterface,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Recommends:
 fortune,
 ipcalc,
 iputils-ping,
 iputils-tracepath,
 man-db,
 python-dictclient,
 python-dnspython,
 python-feedparser,
 python-html2text,
 python-imdbpy,
 python-twisted-mail,
 python-wokkel (>= 0.6.3),
 units
Suggests:
 apt-file,
 aptitude,
 bc,
 bzr,
 caca-utils,
 dictd,
 nmap,
 python-aalib,
 python-dbus,
 python-imaging,
 python-matplotlib,
 python-mysqldb | python-psycopg2,
 python-numpy,
 python-objgraph,
 python-pyfiglet (>= 0.6),
 python-svn
Description: easily extensible Python IM bot for IRC, Jabber, SILC, campfire, etc.
 Ibid is a multi-protocol, general purpose, instant messaging chat bot written
 in Python. It aims for a naturalistic interface rather than strict-syntax
 commands.
 .
 Ibid understands many protocols, including IRC, Jabber/XMPP/Google Talk,
 Campfire, NMDC and SILC. It also interacts over SMTP, HTTP and various RPC
 protocols.
 .
 Ibid aims to make plugins as easy as possible to write. It ships with a large
 collection of plugins for looking up information, performing conversions,
 storing factoids, delivering messages, and much more.
